-- main.lua for glass ball

require 'colors'
require 'shortcuts'
require 'keyboard'
require 'glass'

function love.load()
	help = require'help'
	help.load()
	show = { help = true, rotation = true }
	screenWidth, screenHeight = 800, 600
	gr.setBackgroundColor( 55, 55, 55 )
	lg = {			-- glass ball params
		x		= 0.5,
		y		= 0.5,
		size	= 0.15,
		mag		= 2.0,
		fog		= 1.0,
		frost	= 1.0,
		r		= 0,
		g		= 0,
		b		= 0,
		}
	for i,j in pairs(lg) do glass:send(i,j) end
	background = gr.newImage( 'glass.jpg' )
	canvas = gr.newCanvas()
	function loadCanvas()
		canvas:clear()
		gr.setCanvas( canvas )
		gr.draw( background,0,0,0,1,1)
		gr.setCanvas()
		end

	function path(ang)
		local x = 4 * radius * math.cos(ang) / 3.5 + 0.5
		local y = radius * math.sin( ang ) + 0.5
		return x,y
		end

	radius = 0.3 ang = 0
	end

function love.update( dt )
	keyboard_update( dt )
	if show.rotation then
		ang = ang <= 2 * pi and ang + dt/2 or ang - 2 * pi
		lg.x,lg.y = path( ang )
		glass:send( 'x', lg.x ) glass:send( 'y', lg.y )
		end
	end

function love.draw()
	loadCanvas()
	gr.setPixelEffect( glass )		-- pixel effect looks at entire canvas
	gr.draw( canvas )						-- looking_glass changes only window area
	gr.setPixelEffect()
	help.draw()
	end

